org.apache.hc.client5.http.ssl

## Class TrustSelfSignedStrategy

- java.lang.Object
- - org.apache.hc.client5.http.ssl.TrustSelfSignedStrategy

All Implemented Interfaces:
  TrustStrategy

    @Contract(threading=STATELESS)
    public class TrustSelfSignedStrategy
    extends Object
    implements TrustStrategy

A trust strategy that accepts self-signed certificates as trusted. Verification of all other certificates is done by the trust manager configured in the SSL context.

Since:
  4.1

### Field Summary

Fields
`static TrustSelfSignedStrategy` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`TrustSelfSignedStrategy()`

### Method Summary

Methods
`boolean` `isTrusted(X509Certificate[] chain, String authType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final TrustSelfSignedStrategy INSTANCE

### Constructor Detail

#### TrustSelfSignedStrategy

    public TrustSelfSignedStrategy()

### Method Detail

#### isTrusted

    public boolean isTrusted(X509Certificate[] chain,
                    String authType)
                      throws CertificateException

Specified by:
  `isTrusted` in interface `TrustStrategy`
Throws:
  `CertificateException`